Send Tags
curl --request POST \
--url https://backend.nebuly.com/event-ingestion/api/v2/events/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tags": {
"tag1": "<string>",
"tag2": "<string>"
},
"metadata": {
"end_user": "<string>",
"time_start": "<string>",
"input": "<string>",
"output": "<string>"
}
}
'import requests
url = "https://backend.nebuly.com/event-ingestion/api/v2/events/tags"
payload = {
"tags": {
"tag1": "<string>",
"tag2": "<string>"
},
"metadata": {
"end_user": "<string>",
"time_start": "<string>",
"input": "<string>",
"output": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tags: {tag1: '<string>', tag2: '<string>'},
metadata: {
end_user: '<string>',
time_start: '<string>',
input: '<string>',
output: '<string>'
}
})
};
fetch('https://backend.nebuly.com/event-ingestion/api/v2/events/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Instrument (Optional)
Send Tags
POST
/
event-ingestion
/
api
/
v2
/
events
/
tags
Send Tags
object
required
A dictionary of key-value pairs representing the tags you want to add to a previously sent interaction. New tags are added, and existing tags are updated if included. Tags previously sent but not included in this payload remain unchanged.
object
required
Metadata is required to accurately associate the tags with their corresponding interaction.
Show properties
Show properties
string
required
The identifier used for the end-user of the corresponding interaction
string
required
The timestamp (time_start) of the corrisponding interaction.
string
The input of the interactions to which the tags refers to. If not given the interaction will be determined using the interaction time-stamp and the end-user id.
string
The output of the interactions to which the tags refers to. If not given the interaction will be determined using the interaction time-stamp and the end-user id.
⌘I